X-Musement-Version header

By default, accessing the API uses the latest available version. However, this is not necessarily the latest stable version. As we develop a new version, major changes may be introduced which can negatively affect your integration.

To avoid issues related to changes, you can specify the API version using the X-Musement-Version header. When setting up an integration with the Musement API, we strongly suggest using the latest stable version and specifying that version number in every request.

In the example below, we are requesting the current stable version, 3.4.0:

Copy
Copied
curl -X GET '{baseUrl}/activities/{activityUuid}' \
-H 'X-Musement-Application: {applicationValue}' \
-H 'X-Musement-Version: 3.4.0' \
-H 'Authorization: Bearer {accessToken}'

When a new stable API version is released, the documentation will contain a complete list of changes. Partners can choose to upgrade to the latest version or not by changing the X-Musement-Version header value of their requests.

Copyright © TUI Musement. All rights reserved.